use serde::Serialize;

use crate::error::CustomError;

pub(crate) trait RendererIntegration {
    fn load_template<N, C>(&mut self, name: N, contents: C) -> Result<(), CustomError>
    where
        N: Into<String>,
        C: Into<String>;

    fn render<C>(&self, context: C) -> Result<String, crate::error::CustomError>
    where
        C: Serialize;
}
